// File created automatically by custom Dialogger on 4/4/2019, 2:13:19 AM
// Do not tamper with this file.
// It will be replaced automatically by Dialogger and all changes will be lost.
// Instead change MinotaurCommonReadyToFuck.dl.
module DialogueTrees {
	export let MinotaurCommonReadyToFuck = (function () {
        let tree : DialogueTree = new DialogueTree("MinotaurCommonReadyToFuck");
        let node : DialogueNode;
        let text : DialogueText;
        let choice : DialogueChoice;
        let set : DialogueSet;
        
        
         AI.talktoRules.createAndAddRule({
            name : "AIHook for MinotaurCommonReadyToFuck",
            conditions : (runner : RulebookRunner<TalkingHeads>) => {
                // @ts-ignore
                let player = WorldState.player, greeter = runner.noun.greeter, answerer = runner.noun.answerer;
        
                return (MinotaurGuard.AgreedToSex.value == true);
            },
            priority : Rule.PRIORITY_MEDIUM,
            firstPriority : Rule.PRIORITY_MEDIUM,
            code : (runner : RulebookRunner<TalkingHeads>) => {
                runner.noun.options.push({
                    tree: tree,
                    text : new Say("About the sex thing...")
                })
            },
        });
        
        
        
        node = new DialogueNode("e62b60c7-2661-4410-9f1f-64375f1232f8");
        node.setNext("17f60364-ac93-4390-937f-13a7dc1fc581");
        tree.addStartNode(node);
        
        
        text = new DialogueText("17f60364-ac93-4390-937f-13a7dc1fc581");
        text.setSay(() => { return new Say("He lifts one eyebrow, as if surprised you're actually chosing this path.", Say.LINE_BREAK, Say.Speak("Minotaur", "Are you sure you want to do it?"));});
        text.setChoices(["c401e92e-2c9e-4dd2-a24e-0c53eee83836","cba3584d-4596-4f14-b95f-9cdc767dd3d9","e18d2e5d-ff5a-4d22-9598-581920d9bbdb"]);
        tree.addNode(text);
        
        
        choice = new DialogueChoice("c401e92e-2c9e-4dd2-a24e-0c53eee83836");
        choice.setSay(() => { return new Say("Yes.");});
        choice.setNext("84ae1903-3f14-44cc-ad97-8fd7d1bbc5ff");
        tree.addNode(choice);
        
        
        choice = new DialogueChoice("cba3584d-4596-4f14-b95f-9cdc767dd3d9");
        choice.setSay(() => { return new Say("Not now.");});
        choice.setNext("17d34627-7214-42af-b1f4-06a120ed5f95");
        tree.addNode(choice);
        
        
        choice = new DialogueChoice("e18d2e5d-ff5a-4d22-9598-581920d9bbdb");
        choice.setSay(() => { return new Say("I've changed my mind.");});
        choice.setNext("02d1870b-6ea5-47bf-801e-67442627d165");
        tree.addNode(choice);
        
        
        text = new DialogueText("84ae1903-3f14-44cc-ad97-8fd7d1bbc5ff");
        text.setSay(() => { return new Say(Say.Speak("Minotaur", "Very well. Let's get started."), Say.LINE_BREAK, "He says as he lets his loincloth fall to the groung.", Say.LINE_BREAK, Say.Speak("Minotaur", "Best get to it, then."));});
        text.setNext("c9d5f889-37ae-4da1-b810-447dfffaa238");
        tree.addNode(text);
        
        
        text = new DialogueText("17d34627-7214-42af-b1f4-06a120ed5f95");
        text.setSay(() => { return new Say(Say.Speak("Minotaur", "No problem. I'll keep waiting until you're sure."));});
        tree.addNode(text);
        
        
        text = new DialogueText("02d1870b-6ea5-47bf-801e-67442627d165");
        text.setSay(() => { return new Say(Say.Speak("Minotaur", "No problem. I don't even understand how you agreed to it in the first place. You're still not going inside, though."));});
        text.setNext("0a432af8-243f-4be7-af8c-a069dbe5e2e7");
        tree.addNode(text);
        
        
        set = new DialogueSet("0a432af8-243f-4be7-af8c-a069dbe5e2e7");
        set.setFunction(() => {
        MinotaurGuard.AgreedToSex.value = false;
        });
        tree.addNode(set);
        
        
        set = new DialogueSet("c9d5f889-37ae-4da1-b810-447dfffaa238");
        set.setFunction(() => {
        // TODO: Initiate sex with the minotaur
        });
        tree.addNode(set);
        
        return tree;
    })();
}